Bug 143635 - Install exited abnormally when starting X while loading shared libaries
Install exited abnormally when starting X while loading shared libaries
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 22:31 EST by Lauri Lehtinen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:27:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lauri Lehtinen 2004-12-22 22:31:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040804 Firefox/0.9.3

Description of problem:
After testing CD 1 and after probing my graphic card, monitor and
mouse, installer starts X (I can see cursor for a second) and throws:

//usr/bin/mini-wm: Error while loading shared libaries:
/usr/lib/libpangox-1.0.so.0: cannot read file data: Error 21

XIO: Fatal IO Error 104 (connection reseted by peer) on X server
":1.0" after 0 request (0 know processed) with 0 events remaining.

Install exited abnormally

Testing of install CD 1 gives me: pass.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot with Fedora Core 3 CD 1
2. Start normal install by pressing enter
3. Test install CD 1 and proceed with install
    

Actual Results:  //usr/bin/mini-wm: Error while loading shared
libaries: /usr/lib/libpangox-1.0.so.0: cannot read file data: Error 21

XIO: Fatal IO Error 104 (connection reseted by peer) on X server
":1.0" after 0 request (0 know processed) with 0 events remaining.

Install exited abnormally.

Expected Results:  Proceed with normal graphic install.

Additional info:

Graphic card: Radeon 9200
Monitor: IBM C72
Mouse: General optical wheel usb mouse
Comment 1 Jeremy Katz 2004-12-23 11:28:13 EST
Can you try booting with 'linux ide=nodma' and see if that helps?
Comment 2 Lauri Lehtinen 2005-01-01 09:43:55 EST
No. Booting with 'linux ide=nodma' didn't help and the install exited
abnormally as before. Managed to install using text mode without problems.

Note You need to log in before you can comment on or make changes to this bug.